| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Types | Public Attributes | List of all members
cv::gapi::onnx::detail::ParamDesc Struct Reference

This structure contains description of inference parameters which is specific to ONNX models. More...

`#include <opencv2/gapi/infer/onnx.hpp>`

Collaboration diagram for cv::gapi::onnx::detail::ParamDesc:

## Public Types
using | ConstInput = std::pair<cv::Mat, TraitAs>

## Public Attributes
std::unordered_map< std::string, ConstInput > | const_inputs
| Map with pair of name of network layer and ConstInput which will be associated with this.
PostProc | custom_post_proc
| Post processing function.
bool | disable_mem_pattern
std::vector< cv::gapi::onnx::ep::EP > | execution_providers
std::unordered_map< std::string, std::pair< cv::Scalar, cv::Scalar > > | generic_mstd
std::unordered_map< std::string, bool > | generic_norm
std::vector< std::string > | input_names
| Names of input network layers.
bool | is_generic
std::vector< cv::Scalar > | mean
| Mean values for preprocessing.
std::string | model_path
| Path to model.
std::vector< std::string > | names_to_remap
| Names of output layers that will be processed in PostProc function.
std::vector< bool > | normalize
| Vector of bool values that enabled or disabled normalize of input data.
std::size_t | num_in
| How many inputs are defined in the operation.
std::size_t | num_out
| How many outputs are defined in the operation.
cv::util::optional< int > | opt_level
std::vector< cv::GMatDesc > | out_metas
| Out meta information about your output (type, dimension).
std::vector< std::string > | output_names
| Names of output network layers.
std::map< std::string, std::string > | session_options
std::vector< cv::Scalar > | stdev
| Standard deviation values for preprocessing.

## Detailed Description

This structure contains description of inference parameters which is specific to ONNX models.

## Member Typedef Documentation

## ◆ ConstInput

using cv::gapi::onnx::detail::ParamDesc::ConstInput = std::pair<cv::Mat, TraitAs>

## Member Data Documentation

## ◆ const_inputs

std::unordered_map<std::string, ConstInput> cv::gapi::onnx::detail::ParamDesc::const_inputs

Map with pair of name of network layer and ConstInput which will be associated with this.

## ◆ custom_post_proc

PostProc cv::gapi::onnx::detail::ParamDesc::custom_post_proc

Post processing function.

## ◆ disable_mem_pattern

bool cv::gapi::onnx::detail::ParamDesc::disable_mem_pattern

## ◆ execution_providers

std::vector<cv::gapi::onnx::ep::EP> cv::gapi::onnx::detail::ParamDesc::execution_providers

## ◆ generic_mstd

std::unordered_map<std::string, std::pair<cv::Scalar, cv::Scalar> > cv::gapi::onnx::detail::ParamDesc::generic_mstd

## ◆ generic_norm

std::unordered_map<std::string, bool> cv::gapi::onnx::detail::ParamDesc::generic_norm

## ◆ input_names

std::vector<std::string> cv::gapi::onnx::detail::ParamDesc::input_names

Names of input network layers.

## ◆ is_generic

bool cv::gapi::onnx::detail::ParamDesc::is_generic

## ◆ mean

std::vector<cv::Scalar> cv::gapi::onnx::detail::ParamDesc::mean

Mean values for preprocessing.

## ◆ model_path

std::string cv::gapi::onnx::detail::ParamDesc::model_path

Path to model.

## ◆ names_to_remap

std::vector<std::string> cv::gapi::onnx::detail::ParamDesc::names_to_remap

Names of output layers that will be processed in PostProc function.

## ◆ normalize

std::vector<bool> cv::gapi::onnx::detail::ParamDesc::normalize

Vector of bool values that enabled or disabled normalize of input data.

## ◆ num_in

std::size_t cv::gapi::onnx::detail::ParamDesc::num_in

How many inputs are defined in the operation.

## ◆ num_out

std::size_t cv::gapi::onnx::detail::ParamDesc::num_out

How many outputs are defined in the operation.

## ◆ opt_level

cv::util::optional<int> cv::gapi::onnx::detail::ParamDesc::opt_level

## ◆ out_metas

std::vector<cv::GMatDesc> cv::gapi::onnx::detail::ParamDesc::out_metas

Out meta information about your output (type, dimension).

## ◆ output_names

std::vector<std::string> cv::gapi::onnx::detail::ParamDesc::output_names

Names of output network layers.

## ◆ session_options

std::map<std::string, std::string> cv::gapi::onnx::detail::ParamDesc::session_options

## ◆ stdev

std::vector<cv::Scalar> cv::gapi::onnx::detail::ParamDesc::stdev

Standard deviation values for preprocessing.

The documentation for this struct was generated from the following file:

- opencv2/gapi/infer/onnx.hpp